
Lookup Editor - Task #2515

Task # 2514 (Closed): Python 2 + 3 support

Unable to save lookups

11/15/2019 07:10 PM - Luke Murphey

Status: Closed Start date: 11/15/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.3.3   

Description

2019-11-15 11:09:12,161 ERROR Unable to save the lookup

Traceback (most recent call last):

  File "/Users/lmurphey/Splunk/py3/etc/apps/lookup_editor/bin/lookup_editor_rest_handler.py", line

 255, in post_lookup_contents

    request_info.session_key, request_info.user)

  File "/Users/lmurphey/Splunk/py3/etc/apps/lookup_editor/bin/lookup_editor/__init__.py", line 376

, in update

    csv_writer.writerow(row)

  File "/Users/lmurphey/Splunk/py3/lib/python3.7/tempfile.py", line 481, in func_wrapper

    return func(*args, **kwargs)

TypeError: a bytes-like object is required, not 'str'

Associated revisions

Revision 592 - 11/15/2019 08:03 PM - luke.murphey

Adding Python 2+3 support

Reference #2515

Revision 594 - 11/15/2019 08:08 PM - luke.murphey

Fixing deprecation message

Reference #2515

History

#1 - 11/15/2019 08:23 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
